package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderInfo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 订单列表查询返回值实体
 *
 * @author 
 * @since 2023-11-23
 */
@Getter
@Setter
public class OrderInfoVo extends OrderInfo {

    /**
     * sku品号
     */
    private String skuCode;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * 订单商品
     */
    private List<OrderSkuVo> orderSkuList;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    private String frontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    private String reverseGrain;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 单价
     */
    private BigDecimal unitPrice;
}
